### Method

# Gimp Drawable curves_spline

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_curves_spline (
      GimpDrawable* drawable,
      GimpHistogramChannel channel,
      gsize num_coordinates,
      const gdouble* points
    )

#### Description [src]

Modifies the intensity curve(s) for specified drawable.

Modifies the intensity mapping for one channel in the specified `drawable`. The `channel` can be either an intensity component, or the value.

The `points` parameter is an array of doubles in the range `[0, 1]` which define a set of control points which describe a Catmull Rom spline which yields the final intensity curve. Since every point has 2 coordinates, the size of `points` (`num_coordinates`) must be a multiple of 2, equal or bigger than 4 (i.e. a minimum of 2 points).

Use `gimp_drawable_curves_explicit()` to explicitly modify intensity levels.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:curves” instead.

#### Parameters

`channel`

  Type: `GimpHistogramChannel`

  The channel to modify.

`num_coordinates`

  Type: `gsize`

  The number of coordinates (2 per points) in the control point array.

`points`

  Type: An array of `double`

  The spline control points: { cp1.x, cp1.y, cp2.x, cp2.y, … }.

  The length of the array is specified in the `num_coordinates` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.